# Class Polygon

java.lang.Object
org.mariadb.jdbc.type.Polygon

All Implemented Interfaces:
  `Geometry`

public class Polygon extends Object implements Geometry
Polygon

## Constructor Summary

Constructors
Constructor
Description
`Polygon(LineString[] lines)`
polygon

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`LineString[]`
`getLines()`
get lines
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Polygon

public Polygon(LineString[] lines)
polygon

Parameters:
  `lines` - lines

## Method Details

### getLines

public LineString[] getLines()
get lines

Returns:
  lines

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`